Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conn
Class ConnectionWrapper

    java.lang.Object
      org.apache.cayenne.conn.ConnectionWrapper

All Implemented Interfaces:
  Connection

    public class ConnectionWrapper

extends Object
implements Connection

ConnectionWrapper is a `java.sql.Connection` implementation that wraps another Connection, delegating method calls to this connection. It works in conjunction with PooledConnectionImpl, to generate pool events, provide limited automated reconnection functionality, etc.

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`ConnectionWrapper(Connection connection, PooledConnectionImpl pooledConnection)` Creates new ConnectionWrapper

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`Array` | `createArrayOf(String arg0, Object[] arg1)`
`Blob` | `createBlob()`
`Clob` | `createClob()`
`NClob` | `createNClob()`
`SQLXML` | `createSQLXML()`
`Statement` | `createStatement()`
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`Struct` | `createStruct(String arg0, Object[] arg1)`
`boolean` | `getAutoCommit()`
`String` | `getCatalog()`
`Properties` | `getClientInfo()`
`String` | `getClientInfo(String arg0)`
`int` | `getHoldability()`
`DatabaseMetaData` | `getMetaData()`
`int` | `getTransactionIsolation()`
`Map<String,Class<?>>` | `getTypeMap()`
`SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`boolean` | `isValid(int arg0)`
`boolean` | `isWrapperFor(Class<?> iface)`
`String` | `nativeSQL(String sql)`
`CallableStatement` | `prepareCall(String sql)`
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency)`
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql)`
`PreparedStatement` | `prepareStatement(String sql, int autoGeneratedKeys)`
`PreparedStatement` | `prepareStatement(String sql, int[] columnIndexes)`
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql, String[] columnNames)`
`protected void` | `reconnect(SQLException exception)`
`void` | `releaseSavepoint(Savepoint savepoint)`
`protected void` | `retire(SQLException exception)`
`void` | `rollback()`
`void` | `rollback(Savepoint savepoint)`
`void` | `setAutoCommit(boolean autoCommit)`
`void` | `setCatalog(String catalog)`
`void` | `setClientInfo(Properties properties)`
`void` | `setClientInfo(String name, String value)`
`void` | `setHoldability(int holdability)`
`void` | `setReadOnly(boolean readOnly)`
`Savepoint` | `setSavepoint()`
`Savepoint` | `setSavepoint(String name)`
`void` | `setTransactionIsolation(int level)`
`void` | `setTypeMap(Map<String,Class<?>> map)`
`
`<T> T`
` | `unwrap(Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionWrapper

    public ConnectionWrapper(Connection connection,
                             PooledConnectionImpl pooledConnection)

  Creates new ConnectionWrapper

Method Detail

### reconnect

    protected void reconnect(SQLException exception)
                      throws SQLException

  Throws:
    `SQLException`

### retire

    protected void retire(SQLException exception)

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Connection`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Connection`
  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Specified by:
    `commit` in interface `Connection`
  Throws:
    `SQLException`

### createStatement

    public Statement createStatement()
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Throws:
    `SQLException`

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Throws:
    `SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  Specified by:
    `getAutoCommit` in interface `Connection`
  Throws:
    `SQLException`

### getCatalog

    public String getCatalog()
                      throws SQLException

  Specified by:
    `getCatalog` in interface `Connection`
  Throws:
    `SQLException`

### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

  Specified by:
    `getMetaData` in interface `Connection`
  Throws:
    `SQLException`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

  Specified by:
    `getTransactionIsolation` in interface `Connection`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Connection`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Connection`
  Throws:
    `SQLException`

### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

  Specified by:
    `isReadOnly` in interface `Connection`
  Throws:
    `SQLException`

### nativeSQL

    public String nativeSQL(String sql)
                     throws SQLException

  Specified by:
    `nativeSQL` in interface `Connection`
  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String sql)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`
  Throws:
    `SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SQLException

  Specified by:
    `setAutoCommit` in interface `Connection`
  Throws:
    `SQLException`

### setCatalog

    public void setCatalog(String catalog)
                    throws SQLException

  Specified by:
    `setCatalog` in interface `Connection`
  Throws:
    `SQLException`

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws SQLException

  Specified by:
    `setReadOnly` in interface `Connection`
  Throws:
    `SQLException`

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws SQLException

  Specified by:
    `setTransactionIsolation` in interface `Connection`
  Throws:
    `SQLException`

### getTypeMap

    public Map<String,Class<?>> getTypeMap()
                                    throws SQLException

  Specified by:
    `getTypeMap` in interface `Connection`
  Throws:
    `SQLException`

### setTypeMap

    public void setTypeMap(Map<String,Class<?>> map)
                    throws SQLException

  Specified by:
    `setTypeMap` in interface `Connection`
  Throws:
    `SQLException`

### setHoldability

    public void setHoldability(int holdability)
                        throws SQLException

  Specified by:
    `setHoldability` in interface `Connection`
  Throws:
    `SQLException`

### getHoldability

    public int getHoldability()
                       throws SQLException

  Specified by:
    `getHoldability` in interface `Connection`
  Throws:
    `SQLException`

### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

  Specified by:
    `setSavepoint` in interface `Connection`
  Throws:
    `SQLException`

### setSavepoint

    public Savepoint setSavepoint(String name)
                           throws SQLException

  Specified by:
    `setSavepoint` in interface `Connection`
  Throws:
    `SQLException`

### rollback

    public void rollback(Savepoint savepoint)
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`
  Throws:
    `SQLException`

### releaseSavepoint

    public void releaseSavepoint(Savepoint savepoint)
                          throws SQLException

  Specified by:
    `releaseSavepoint` in interface `Connection`
  Throws:
    `SQLException`

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency,
                                     int resultSetHoldability)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency,
                                         int resultSetHoldability)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int autoGeneratedKeys)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int[] columnIndexes)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              String[] columnNames)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`
  Throws:
    `SQLException`

### createArrayOf

    public Array createArrayOf(String arg0,
                               Object[] arg1)
                        throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### createBlob

    public Blob createBlob()
                    throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### createClob

    public Clob createClob()
                    throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### createStruct

    public Struct createStruct(String arg0,
                               Object[] arg1)
                        throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### getClientInfo

    public Properties getClientInfo()
                             throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### getClientInfo

    public String getClientInfo(String arg0)
                         throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### isValid

    public boolean isValid(int arg0)
                    throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### createNClob

    public NClob createNClob()
                      throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### createSQLXML

    public SQLXML createSQLXML()
                        throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

### setClientInfo

    public void setClientInfo(Properties properties)
                       throws SQLClientInfoException

  Throws:
    `SQLClientInfoException`
  Since:
    3.0

### setClientInfo

    public void setClientInfo(String name,
                              String value)
                       throws SQLClientInfoException

  Throws:
    `SQLClientInfoException`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.